com.hazelcast.monitor

## Interface LocalWanPublisherStats

- All Superinterfaces:
    com.hazelcast.internal.management.JsonSerializable

      public interface LocalWanPublisherStats
      extends com.hazelcast.internal.management.JsonSerializable

  Local WAN publisher statistics to be used by `MemberState` implementations.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<String,ConsistencyCheckResult>` | `getLastConsistencyCheckResults()` Returns the last results of the consistency checks, mapped by map name.
    `Map<String,WanSyncStats>` | `getLastSyncStats()` Returns the last synchronization statistics, mapped by map name.
    `int` | `getOutboundQueueSize()` Returns the outbound queue size on this member
    `WanPublisherState` | `getPublisherState()` Returns the current `WanPublisherState` of this publisher.
    `Map<String,com.hazelcast.wan.impl.DistributedServiceWanEventCounters.DistributedObjectWanEventCounters>` | `getSentCacheEventCounter()` Returns the counter for the successfully transfered cache WAN events.
    `Map<String,com.hazelcast.wan.impl.DistributedServiceWanEventCounters.DistributedObjectWanEventCounters>` | `getSentMapEventCounter()` Returns the counter for the successfully transfered map WAN events.
    `long` | `getTotalPublishedEventCount()` Returns the total number of published events from this member
    `long` | `getTotalPublishLatency()` Returns the total latency of published wan events from this member by millisecond.
    `boolean` | `isConnected()` Returns if this member is connected to the Wan publisher

    - ### Methods inherited from interface com.hazelcast.internal.management.JsonSerializable

      `fromJson, toJson`

- - ### Method Detail

    - #### isConnected

          boolean isConnected()

      Returns if this member is connected to the Wan publisher
      Returns:
        if this member is connected to the Wan publisher

    - #### getTotalPublishedEventCount

          long getTotalPublishedEventCount()

      Returns the total number of published events from this member
      Returns:
        number of total published events from this member

    - #### getTotalPublishLatency

          long getTotalPublishLatency()

      Returns the total latency of published wan events from this member by millisecond.
      Returns:
        latency of outbound records from this member by millisecond.

    - #### getOutboundQueueSize

          int getOutboundQueueSize()

      Returns the outbound queue size on this member
      Returns:
        outbound queue size on this member

    - #### getPublisherState

          WanPublisherState getPublisherState()

      Returns the current `WanPublisherState` of this publisher.
      See Also:
        `WanReplicationService.pause(String, String)`, `WanReplicationService.stop(String, String)`

    - #### getSentMapEventCounter

          Map<String,com.hazelcast.wan.impl.DistributedServiceWanEventCounters.DistributedObjectWanEventCounters> getSentMapEventCounter()

      Returns the counter for the successfully transfered map WAN events.

    - #### getSentCacheEventCounter

          Map<String,com.hazelcast.wan.impl.DistributedServiceWanEventCounters.DistributedObjectWanEventCounters> getSentCacheEventCounter()

      Returns the counter for the successfully transfered cache WAN events.

    - #### getLastConsistencyCheckResults

          Map<String,ConsistencyCheckResult> getLastConsistencyCheckResults()

      Returns the last results of the consistency checks, mapped by map name.

    - #### getLastSyncStats

          Map<String,WanSyncStats> getLastSyncStats()

      Returns the last synchronization statistics, mapped by map name.

Copyright © 2019. All rights reserved.